name: Build Chronicles
run-name: ${{ github.actor }} is building Chronicles
on:
  push:
    branches:
      - main

jobs:
  Build-PDF:
    runs-on: texlive-2023-04-09
    permissions:
      contents: read
    steps:
      - run: echo "The job was automatically triggered by a ${{ github.event_name }} event."
      - run: echo "This job is now running on a ${{ runner.os }}."
      - run: echo "The name of your branch is ${{ github.ref }} and your repository is ${{ github.repository }}."

      - name: Install node
        run: apt-get update && apt-get install -y nodejs

      - name: Check out repository code
        uses: actions/checkout@v3
        with:
          submodules: recursive

      - run: echo "The ${{ github.repository }} repository has been cloned to the runner."

      - name: Build PDF with `latexmk`
        run: latexmk -pdf

      - name: Publish package
        env:
          PACKAGE_UPLOAD_TOKEN: ${{ secrets.PACKAGE_UPLOAD_TOKEN }}
        run: |
          curl --user henine:$PACKAGE_UPLOAD_TOKEN -X DELETE \
          https://git.raptorpond.com/api/packages/KaRTS/generic/chronicles/latest
          curl --user henine:$PACKAGE_UPLOAD_TOKEN \
          --fail-with-body \
          --upload-file "Chronicles of Savits.pdf" \
          https://git.raptorpond.com/api/packages/KaRTS/generic/chronicles/latest/chronicles.pdf
